/**
 * This class deals with the button that opens the leaderboard page.
 */
class OptionsButton
{
	constructor()
	{
		this.optionsButton = Engine.GetGUIObjectByName("optionsButton");
		this.optionsButton.caption = translate("Options");
		this.optionsButton.onPress = this.onPress;
	}

	async onPress()
	{
		await Engine.SwitchGuiPage("page_options.xml", {});
	}
}
